opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Attributes | List of all members
cv::DescriptorMatcher::DescriptorCollection Class Reference

`#include <features2d.hpp>`

## Public Member Functions
virtual void | clear ()
| DescriptorCollection ()
| DescriptorCollection (const DescriptorCollection &collection)
const Mat | getDescriptor (int imgIdx, int localDescIdx) const
const Mat | getDescriptor (int globalDescIdx) const
const Mat & | getDescriptors () const
void | getLocalIdx (int globalDescIdx, int &imgIdx, int &localDescIdx) const
void | set (const vector< Mat > &descriptors)
int | size () const
virtual | ~DescriptorCollection ()

## Protected Attributes
Mat | mergedDescriptors
vector< int > | startIdxs

## Constructor & Destructor Documentation

cv::DescriptorMatcher::DescriptorCollection::DescriptorCollection | ( |  | ) |

cv::DescriptorMatcher::DescriptorCollection::DescriptorCollection | ( | const DescriptorCollection & | collection | ) |

virtual cv::DescriptorMatcher::DescriptorCollection::~DescriptorCollection | ( |  | ) |
| virtual

## Member Function Documentation

virtual void cv::DescriptorMatcher::DescriptorCollection::clear | ( |  | ) |
| virtual

const Mat cv::DescriptorMatcher::DescriptorCollection::getDescriptor | ( | int | imgIdx,
|  | int | localDescIdx
| ) |  | const

const Mat cv::DescriptorMatcher::DescriptorCollection::getDescriptor | ( | int | globalDescIdx | ) | const

const Mat& cv::DescriptorMatcher::DescriptorCollection::getDescriptors | ( |  | ) | const

void cv::DescriptorMatcher::DescriptorCollection::getLocalIdx | ( | int | globalDescIdx,
|  | int & | imgIdx,
|  | int & | localDescIdx
| ) |  | const

void cv::DescriptorMatcher::DescriptorCollection::set | ( | const vector< Mat > & | descriptors | ) |

int cv::DescriptorMatcher::DescriptorCollection::size | ( |  | ) | const

## Member Data Documentation

Mat cv::DescriptorMatcher::DescriptorCollection::mergedDescriptors
| protected

vector<int> cv::DescriptorMatcher::DescriptorCollection::startIdxs
| protected

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp